# Settings

## Get Settings

`Get` <https://example.com/wp-json/dt-core/v1/settings>

### Return

(object) the settings object

* available\_translations: list of languages available for the user to select
* post\_types: list of post types and the post type settings. See [Post Type Settings](https://developers.disciple.tools/theme-core/api-posts/post-settings)

Example format:

```json5
{
  "available_translations":[
    {"language":"en_US","english_name":"English (United States)","native_name":"English (United States)","site_default":true},
    {"language":"am_ET","native_name":"Amharic (Ethiopia)","english_name":"Amharic (Ethiopia)","site_default":false},
    //etc
  ],
  "post_types": {
    "peoplegroups": {}, //see post type settings
    "contacts": {},
    "groups": {}
    //etc
  },
  "plugins": {
    "disciple-tools-dashboard": {
      "name": "Disciple.Tools - Dashboard",
      "plugin_url": "http://multisite.local/wp-content/plugins/disciple-tools-dashboard/",
      "version":  "1.0.5"
    },
    "disciple-tools-trainings": {...},
    //etc  
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.disciple.tools/theme-core/api-other/settings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
